Task
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/task/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
PUT /api/v1/dashboard/task/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
DELETE /api/v1/dashboard/task/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
GET /dashboard/task/pending/ — list all tasks awaiting admin review PATCH /dashboard/task/<task_id>/approve/ — approve a pending task (goes live) PATCH /dashboard/task/<task_id>/reject/ — reject with a reason
All actions require the Admin role.
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/{task_id}/review/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
GET /dashboard/task/pending/ — list all tasks awaiting admin review PATCH /dashboard/task/<task_id>/approve/ — approve a pending task (goes live) PATCH /dashboard/task/<task_id>/reject/ — reject with a reason
All actions require the Admin role.
JWT Token Authentication. Enter "Bearer "
No response body
No content
PATCH /api/v1/dashboard/task/{task_id}/review/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
Retrieve Task Base Template.
JWT Token Authentication. Enter "Bearer "
Excel template file download (task_base_template.xlsx)
No content
GET /api/v1/dashboard/task/base-template/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
Excel template file download (task_base_template.xlsx)
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/channel/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/csv/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/events/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/ig/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/task/import/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/level/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
Retrieve Task Public List.
JWT Token Authentication. Enter "Bearer "
Filter tasks by creator type: 'company' = tasks submitted by a verified company user, 'ig_mentor' = tasks submitted by an approved IG mentor, 'campus_mentor' = tasks submitted by an approved campus mentor, 'platform' = tasks created by platform admins. Eligibility (IG/campus membership) is enforced by the existing visibility rules.
falseExample: false200Example: 200GET /api/v1/dashboard/task/list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"data": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"pagination": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/list-task-type/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/task/list-task-type/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
PUT /api/v1/dashboard/task/list-task-type/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
DELETE /api/v1/dashboard/task/list-task-type/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/organization/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
GET /dashboard/task/pending/ — list all tasks awaiting admin review PATCH /dashboard/task/<task_id>/approve/ — approve a pending task (goes live) PATCH /dashboard/task/<task_id>/reject/ — reject with a reason
All actions require the Admin role.
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/pending/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
GET /dashboard/task/pending/ — list all tasks awaiting admin review PATCH /dashboard/task/<task_id>/approve/ — approve a pending task (goes live) PATCH /dashboard/task/<task_id>/reject/ — reject with a reason
All actions require the Admin role.
JWT Token Authentication. Enter "Bearer "
No response body
No content
PATCH /api/v1/dashboard/task/pending/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/task-type/{task_type_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/task/task-type/{task_type_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
PUT /api/v1/dashboard/task/task-type/{task_type_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
DELETE /api/v1/dashboard/task/task-type/{task_type_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/task/task-types/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
Last updated
Was this helpful?

